<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include layout="@layout/layout_base_title"></include>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_deviceDetail_img"
                android:layout_width="@dimen/x380"
                android:layout_height="@dimen/y380"
                android:layout_gravity="center_horizontal"
                android:layout_margin="@dimen/x20"
                android:background="@color/banner_dark"
                android:scaleType="fitXY"></ImageView>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/x30">

                <TextView
                    android:id="@+id/tv_deviceDetail_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="智能型号ABC-003"
                    android:textColor="@color/black"
                    android:textSize="14sp"></TextView>

                <TextView
                    android:id="@+id/tv_deviceDetail_editlocation"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_gravity="center_horizontal"
                    android:paddingLeft="@dimen/x30"
                    android:text="编辑"
                    android:textColor="@color/text_dark1"
                    android:textSize="14sp"></TextView>

                <TextView
                    android:id="@+id/tv_deviceDetail_location"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/tv_deviceDetail_name"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/y15"
                    android:text="阳台1号位"
                    android:textColor="@color/text_dark1"
                    android:textSize="14sp"></TextView>


            </RelativeLayout>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/x20"
                android:layout_marginRight="@dimen/x20"
                app:cardCornerRadius="5dp"
                app:cardElevation="4dp"
                app:cardPreventCornerOverlap="true"
                app:cardUseCompatPadding="true">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/bg_dark_color"
                    android:orientation="vertical"
                    android:padding="@dimen/x30">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/tv_devicedetail_deng_dingShi"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:background="@drawable/rect_radius_device_dark"
                            android:padding="@dimen/x10"
                            android:text="定时控制"
                            android:textColor="@color/black"
                            android:textSize="13sp"></TextView>

                        <TextView
                            android:id="@+id/tv_devicedetail_deng_xunhuan"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/x35"
                            android:background="@drawable/rect_radius_device_dark"
                            android:padding="@dimen/x10"
                            android:text="循环控制"
                            android:textColor="@color/black"
                            android:textSize="13sp"></TextView>

                        <TextView
                            android:id="@+id/tv_devicedetail_deng_dengGuang"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/x35"
                            android:background="@drawable/rect_radius_device_dark"
                            android:padding="@dimen/x10"
                            android:text="灯光控制"
                            android:textColor="@color/black"
                            android:textSize="13sp"></TextView>

                        <TextView
                            android:id="@+id/tv_devicedetail_deng_baojingg"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/x35"
                            android:background="@drawable/rect_radius_device_dark"
                            android:padding="@dimen/x10"
                            android:text="报警管理"
                            android:textColor="@color/black"
                            android:textSize="13sp"></TextView>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/y15"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/tv_deviceDetail_wenDu"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:text="温度:20°"
                            android:textColor="@color/black"
                            android:textSize="14sp"></TextView>

                        <TextView
                            android:id="@+id/tv_deviceDetail_ShiDu"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:text="湿度：50%"
                            android:textColor="@color/black"
                            android:textSize="14sp"></TextView>

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/y15"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/tv_deviceDetail_yingYangYeWenDu"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="营养液温度：20°"
                            android:textColor="@color/black"
                            android:textSize="14sp"></TextView>

                        <TextView
                            android:id="@+id/tv_deviceDetail_tds"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:text="TDS值：10 mg/L"
                            android:textColor="@color/black"
                            android:textSize="14sp"></TextView>

                    </LinearLayout>


                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <androidx.cardview.widget.CardView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/x20"
                    android:layout_marginRight="@dimen/x5"
                    android:layout_weight="1"
                    app:cardCornerRadius="5dp"
                    app:cardElevation="4dp"
                    app:cardPreventCornerOverlap="true"
                    app:cardUseCompatPadding="true">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/bg_dark_color"
                        android:orientation="vertical"
                        android:padding="@dimen/x20">

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:text="补光灯管理"
                                android:textColor="@color/black"
                                android:textSize="15sp"
                                android:textStyle="bold"></TextView>


                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_led1"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/y30"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <TextView
                                android:id="@+id/tv_led1_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="一层补光灯"
                                android:textColor="@color/black"
                                android:textSize="13sp"></TextView>

                            <Switch
                                android:id="@+id/sw_deng_1"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_led2"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/y10"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <TextView
                                android:id="@+id/tv_led2_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="二层补光灯"
                                android:textColor="@color/black"
                                android:textSize="13sp"></TextView>

                            <Switch
                                android:id="@+id/sw_deng_2"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_led3"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/y10"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <TextView
                                android:id="@+id/tv_led3_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="三层补光灯"
                                android:textColor="@color/black"
                                android:textSize="13sp"></TextView>

                            <Switch
                                android:id="@+id/sw_deng_3"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_led4"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/y10"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <TextView
                                android:id="@+id/tv_led4_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="四层补光灯"
                                android:textColor="@color/black"
                                android:textSize="13sp"></TextView>

                            <Switch
                                android:id="@+id/sw_deng_4"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true" />
                        </RelativeLayout>

                    </LinearLayout>
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/x5"
                    android:layout_marginRight="@dimen/x20"
                    android:layout_weight="1"
                    app:cardCornerRadius="5dp"
                    app:cardElevation="4dp"
                    app:cardPreventCornerOverlap="true"
                    app:cardUseCompatPadding="true">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/bg_dark_color"
                        android:orientation="vertical"
                        android:padding="@dimen/x20">

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:text="水泵管理"
                                android:textColor="@color/black"
                                android:textSize="15sp"
                                android:textStyle="bold"></TextView>

                            <TextView
                                android:id="@+id/tv_devicedetail_shui_dingShi"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="@dimen/x15"
                                android:layout_weight="1"
                                android:text="定时控制"
                                android:textColor="@color/black"
                                android:textSize="13sp"
                                android:visibility="gone"></TextView>
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_pump1"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/y30"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <TextView
                                android:id="@+id/tv_pump1_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="循环水"
                                android:textColor="@color/black"
                                android:textSize="13sp"></TextView>

                            <Switch
                                android:id="@+id/sw_shui_1"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_pump2"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/y10"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <TextView
                                android:id="@+id/tv_pump2_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="制氧"
                                android:textColor="@color/black"
                                android:textSize="13sp"></TextView>

                            <Switch
                                android:id="@+id/sw_shui_2"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_pump3"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/y10"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <TextView
                                android:id="@+id/tv_pump3_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="补水"
                                android:textColor="@color/black"
                                android:textSize="13sp"></TextView>

                            <Switch
                                android:id="@+id/sw_shui_3"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/rl_pump4"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/y10"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <TextView
                                android:id="@+id/tv_pump4_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="加温"
                                android:textColor="@color/black"
                                android:textSize="13sp"></TextView>

                            <Switch
                                android:id="@+id/sw_shui_4"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true" />
                        </RelativeLayout>

                    </LinearLayout>
                </androidx.cardview.widget.CardView>

            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>